summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rodrigo Gimenez2017-03-08 19:08:42 +0100
committer Willy Sudiarto Raharjo2017-03-11 01:03:52 +0100
commit606c69bd3e4e243508e77199cffafa25c9227e7d (patch)
treeab1749024139f95dfae942398fef531a9b66d7af
parentfe4a4836addd1320a5a913ba910ea003e0a50d70 (diff)
downloadslackbuilds-606c69bd3e4e243508e77199cffafa25c9227e7d.tar.gz
office/xreader: Added (A generic Document Reader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/xreader/README3
-rw-r--r--office/xreader/doinst.sh9
-rw-r--r--office/xreader/slack-desc19
-rw-r--r--office/xreader/xreader.SlackBuild111
-rw-r--r--office/xreader/xreader.info12
5 files changed, 154 insertions, 0 deletions
diff --git a/office/xreader/README b/office/xreader/README
new file mode 100644
index 0000000000..09d97890a3
--- /dev/null
+++ b/office/xreader/README
@@ -0,0 +1,3 @@
+Xreader is a document viewer capable of displaying
+multiple and single page document formats like PDF
+and Postscript.
diff --git a/office/xreader/doinst.sh b/office/xreader/doinst.sh
new file mode 100644
index 0000000000..115e15274b
--- /dev/null
+++ b/office/xreader/doinst.sh
@@ -0,0 +1,9 @@
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/xreader/slack-desc b/office/xreader/slack-desc
new file mode 100644
index 0000000000..3082fec0a9
--- /dev/null
+++ b/office/xreader/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xreader: xreader (A generic Document Reader)
+xreader:
+xreader: Xreader is a document viewer capable of displaying
+xreader: multiple and single page document formats like PDF
+xreader: and Postscript.
+xreader:
+xreader: URL: https://github.com/linuxmint/xreader
+xreader:
+xreader:
+xreader:
+xreader:
diff --git a/office/xreader/xreader.SlackBuild b/office/xreader/xreader.SlackBuild
new file mode 100644
index 0000000000..c0e4cd0c3d
--- /dev/null
+++ b/office/xreader/xreader.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for xreader
+
+# Copyright 2017 Rodrigo Gimenez <rodrigog83[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xreader
+VERSION=${VERSION:-1.2.2}
+# To configure the source we need macros that exist in mate-common
+# This defines the version of mate-common we'll use
+MATECOMMONVERSION=1.16.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/xreader-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+tar --strip-components=1 -xvf $CWD/mate-common-v$MATECOMMONVERSION.tar.gz \
+ mate-common-$MATECOMMONVERSION/macros/
+chmod +x macros/mate-autogen
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# This configures autogen to use the locally extracted macros
+PATH=$PATH:$(pwd)/macros \
+ACLOCAL_FLAGS="-I $(pwd)/macros" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-caja \
+ --disable-nemo \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/xreader/xreader.info b/office/xreader/xreader.info
new file mode 100644
index 0000000000..2d684515e0
--- /dev/null
+++ b/office/xreader/xreader.info
@@ -0,0 +1,12 @@
+PRGNAM="xreader"
+VERSION="1.2.2"
+HOMEPAGE="https://github.com/linuxmint/xreader"
+DOWNLOAD="https://github.com/linuxmint/xreader/archive/1.2.2/xreader-1.2.2.tar.gz \
+ https://github.com/mate-desktop/mate-common/archive/v1.16.0/mate-common-v1.16.0.tar.gz"
+MD5SUM="ae878ed2658747c42bce2fd6ebb18a0a \
+ a6e57c48263118cbb7e4e61c72372328"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="yelp-tools"
+MAINTAINER="Rodrigo Gimenez"
+EMAIL="rodrigog83[at]gmail[dot]com"